Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.log
Interface JdbcEventLogger

All Known Implementing Classes:
  CommonsJdbcEventLogger, FormattedCommonsJdbcEventLogger, NoopJdbcEventLogger

    public interface JdbcEventLogger

A logging service used by Cayenne to output database interactions.

Since:
  3.1

Method Summary
`boolean` | `isLoggable()` Returns true if current thread default log level is high enough to generate output.
`void` | `log(java.lang.String message)` Logs an arbitrary message.
`void` | `logBeginTransaction(java.lang.String transactionLabel)`
`void` | `logCommitTransaction(java.lang.String transactionLabel)`
`void` | `logConnect(java.lang.String dataSource)` Logs database connection event using container data source.
`void` | `logConnect(java.lang.String url, java.lang.String userName, java.lang.String password)`
`void` | `logConnectFailure(java.lang.Throwable th)`
`void` | `logConnectSuccess()`
`void` | `logGeneratedKey(DbAttribute attribute, java.lang.Object value)`
`void` | `logPoolCreated(DataSourceInfo dsi)` Logs database connection event.
`void` | `logQuery(java.lang.String sql, java.util.List<?> params)`
`void` | `logQuery(java.lang.String sql, java.util.List<DbAttribute> attrs, java.util.List<?> params, long time)`
`void` | `logQueryError(java.lang.Throwable th)`
`void` | `logQueryParameters(java.lang.String label, java.util.List<DbAttribute> attrs, java.util.List<java.lang.Object> parameters, boolean isInserting)`
`void` | `logRollbackTransaction(java.lang.String transactionLabel)`
`void` | `logSelectCount(int count, long time)`
`void` | `logUpdateCount(int count)`

Method Detail

### log

    void log(java.lang.String message)

  Logs an arbitrary message.

### logConnect

    void logConnect(java.lang.String dataSource)

  Logs database connection event using container data source.

### logConnect

    void logConnect(java.lang.String url,
                    java.lang.String userName,
                    java.lang.String password)

### logPoolCreated

    void logPoolCreated(DataSourceInfo dsi)

  Logs database connection event.

### logConnectSuccess

    void logConnectSuccess()

### logConnectFailure

    void logConnectFailure(java.lang.Throwable th)

### logGeneratedKey

    void logGeneratedKey(DbAttribute attribute,
                         java.lang.Object value)

### logQuery

    void logQuery(java.lang.String sql,
                  java.util.List<?> params)

### logQuery

    void logQuery(java.lang.String sql,
                  java.util.List<DbAttribute> attrs,
                  java.util.List<?> params,
                  long time)

### logQueryParameters

    void logQueryParameters(java.lang.String label,
                            java.util.List<DbAttribute> attrs,
                            java.util.List<java.lang.Object> parameters,
                            boolean isInserting)

### logSelectCount

    void logSelectCount(int count,
                        long time)

### logUpdateCount

    void logUpdateCount(int count)

### logBeginTransaction

    void logBeginTransaction(java.lang.String transactionLabel)

### logCommitTransaction

    void logCommitTransaction(java.lang.String transactionLabel)

### logRollbackTransaction

    void logRollbackTransaction(java.lang.String transactionLabel)

### logQueryError

    void logQueryError(java.lang.Throwable th)

### isLoggable

    boolean isLoggable()

  Returns true if current thread default log level is high enough to generate output.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Apache Cayenne. All Rights Reserved.